#/bin/bash
set -e

folder=images
xmlname="eta-wallpaper-23-3.xml"

echo '<?xml version="1.0" encoding="UTF-8"?>' > $xmlname
echo '<!DOCTYPE wallpapers SYSTEM "gnome-wp-list.dtd">' >> $xmlname
echo '<wallpapers>' >> $xmlname
for file in $folder/* ; do \
    filename=`basename "$file"` ;\
    echo '  <wallpaper deleted="false">' >> $xmlname ;\
    echo '    <name>'$filename'</name>' >> $xmlname ;\
    echo '    <filename>/usr/share/backgrounds/'$filename'</filename>' >> $xmlname ;\
    if [[ "$filename" == *"-light"* ]]; then
        filenamedark="${filename/-light/-dark}"
        if [[ -f "$folder/$filenamedark" ]]; then
            echo '    <filename-dark>/usr/share/backgrounds/'$filenamedark'</filename-dark>' >> $xmlname ;\
        else
            echo '    <filename-dark>/usr/share/backgrounds/'$filename'</filename-dark>' >> $xmlname ;\
        fi
    else
        echo '    <filename-dark>/usr/share/backgrounds/'$filename'</filename-dark>' >> $xmlname ;\
    fi
    echo '    <options>zoom</options>' >> $xmlname ;\
    echo '    <shade_type>solid</shade_type>' >> $xmlname ;\
    echo '    <pcolor>#21aed8</pcolor>' >> $xmlname ;\
    echo '    <scolor>#000000</scolor>' >> $xmlname ;\
    echo '  </wallpaper>' >> $xmlname ;\
done
echo '</wallpapers>' >> $xmlname
